## check-mk 1.1.12p7

=== Makefile ===
--- 
+++ 
@@ -22,19 +22,23 @@
 # to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
 # Boston, MA 02110-1301 USA.
 
-waitmax: waitmax.c
-	@if type diet >/dev/null ; then \
-	    echo "Compiling with diet (please ignore diet-warnings)..." ; \
-	    diet gcc -s -o waitmax waitmax.c ; \
-	else \
-	    echo "WARNING: your binary is not portable. Please compile " ; \
-	    echo "with dietlibc on 32-Bit to get portable statically " ; \
-	    echo "linked binary." ; \
-	    echo ; \
-	    echo "Compiling with normal gcc..." ; \
-	    gcc -s -o waitmax waitmax.c ; \
-	fi
-	@echo "Fine. Typing 'make install' as root now will install into /usr/bin"
+ifeq ($(shell uname),Linux)
+  CXX = echo -e "\n\nWARNING: MinGW under Linux is broken! Use at your own risk!\n\n" ; i586-mingw32msvc-g++
+else
+  CXX = mingw32-g++
+endif
+
+all: check_mk_agent.exe crash.exe
+
+check_mk_agent.exe: check_mk_agent.cc Makefile
+	$(CXX) -s -O2 -Wall -Werror -o $@ $< -lwsock32
+
+crash.exe: crash.cc Makefile
+	$(CXX) -o $@ $<
 
 clean:
-	rm -rf *~ waitmax
+	rm -f *.o *~ svn-*.tmp
+
+mrproper: clean
+	rm -f *.exe
+
