## check-mk 1.2.2p3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # |           | |___| | | |  __/ (__|   <    | |  | | . \            |
 # |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
 # |                                                                  |
-# | Copyright Mathias Kettner 2010             mk@mathias-kettner.de |
+# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
 # +------------------------------------------------------------------+
 #
 # This file is part of Check_MK.
@@ -28,12 +28,21 @@
   CXX = mingw32-g++
 endif
 
-all: check_mk_agent.exe crash.exe
+install_agent.exe: check_mk_agent.exe crash.exe nowin.exe
+	if ! which makensis; then \
+	    echo "ERROR: makensis missing. Please install the nsis package." ; \
+	    exit 1 ; \
+	fi
+	makensis installer.nsi
+	chmod +x install_agent.exe
 
 check_mk_agent.exe: check_mk_agent.cc Makefile
 	$(CXX) -s -O2 -Wall -Werror -o $@ $< -lwsock32
 
 crash.exe: crash.cc Makefile
+	$(CXX) -o $@ $<
+
+nowin.exe: nowin.cc Makefile
 	$(CXX) -o $@ $<
 
 clean:
