## check-mk 1.2.6p12

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # |           | |___| | | |  __/ (__|   <    | |  | | . \            |
 # |            \____|_| |_|\___|\___|_|\_\___|_|  |_|_|\_\           |
 # |                                                                  |
-# | Copyright Mathias Kettner 2013             mk@mathias-kettner.de |
+# | Copyright Mathias Kettner 2014             mk@mathias-kettner.de |
 # +------------------------------------------------------------------+
 #
 # This file is part of Check_MK.
@@ -22,32 +22,14 @@
 # to the Free Software Foundation, Inc., 51 Franklin St,  Fifth Floor,
 # Boston, MA 02110-1301 USA.
 
-ifeq ($(shell uname),Linux)
-  CXX = echo -e "\n\nWARNING: MinGW under Linux is broken! Use at your own risk!\n\n" ; i586-mingw32msvc-g++
-else
-  CXX = mingw32-g++
-endif
+all: mkevent mkeventd_open514
 
-install_agent.exe: check_mk_agent.exe crash.exe nowin.exe
-	if ! which makensis; then \
-	    echo "ERROR: makensis missing. Please install the nsis package." ; \
-	    exit 1 ; \
-	fi
-	makensis installer.nsi
-	chmod +x install_agent.exe
+mkevent: mkevent.c
+	diet gcc -O2 -s -o mkevent mkevent.c || \
+	gcc -O2 -o mkevent mkevent.c
 
-check_mk_agent.exe: check_mk_agent.cc Makefile
-	$(CXX) -s -O2 -Wall -Werror -o $@ $< -lwsock32
-
-crash.exe: crash.cc Makefile
-	$(CXX) -o $@ $<
-
-nowin.exe: nowin.cc Makefile
-	$(CXX) -o $@ $<
+mkeventd_open514: mkeventd_open514.c
+	gcc -O2 -o $@ $<
 
 clean:
-	rm -f *.o *~ svn-*.tmp
-
-mrproper: clean
-	rm -f *.exe
-
+	rm -f mkevent mkeventd_open514
