## check-mk 1.2.8p16-1ubuntu0.1%2B10.0trisquel1

=== debian/changelog ===
check-mk (1.2.8p16-1ubuntu0.1+10.0trisquel1) nabia; urgency=medium

  * Forward-ported from bionic, no longer packaged upstream

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Aug 2021 17:24:13 +0000

check-mk (1.2.8p16-1ubuntu0.1) zesty; urgency=medium

  * Added patch to fix downtime.h's scheduled_downtime_struct (LP: #1372284)

 -- Haw Loeung <haw.loeung@canonical.com>  Tue, 04 Apr 2017 17:17:00 -0700

check-mk (1.2.8p16-1) unstable; urgency=medium

  * new upstream release
  * fix some lintian errors
  * update policy version
  * fix debian/watch
  * update debhelper version
  * clean up nagios support/references, thanks Bas Couwenberg! (Closes: #846848)

 -- Matt Taggart <taggart@debian.org>  Thu, 26 Jan 2017 23:20:02 -0800

check-mk (1.2.8p14-1) unstable; urgency=low

  [ Bas Couwenberg ]
  * Team upload.
  * Update Vcs-* URLs to use HTTPS.

  [ Matt Taggart ]
  * Imported Upstream version 1.2.8p14
  * upstream will now use coreutils timeout if available rather than waitmax
  * xinetd.conf example moved, new xinetd_caching.conf

 -- Matt Taggart <taggart@debian.org>  Tue, 24 Jan 2017 12:20:53 -0800

check-mk (1.2.6p12-1) unstable; urgency=medium

  [ Matt Taggart ]
  * Imported Upstream version 1.2.6p12
  * fix multisite.d dir in postinst (Closes: #798344).

 -- Matt Taggart <taggart@debian.org>  Thu, 24 Sep 2015 13:08:41 -0700

check-mk (1.2.6p7-1) unstable; urgency=low

  [ Matt Taggart ]
  * Imported Upstream version 1.2.6p7
  * add myself to uploaders
  * fix some lintian errors
  * update version in defaults files (Closes: #792395).
  * provide cmk and mkp utils.
  * provide example multisite.mk config.
  * ensure some needed directories are created.
  * remove smartmontools depends until we properly fix the smart plugin.
  * review difference between upstream and debian install paths and
     document in README.source

  [ Bernhard Schmidt ]
  * start providing mk-job
  * fix -agent-logwatch depends
  * -agent-logwatch is arch all

 -- Matt Taggart <taggart@debian.org>  Fri, 21 Aug 2015 16:44:17 -0700

check-mk (1.2.6p5-1) unstable; urgency=medium

  [ Matt Taggart ]
  * Imported Upstream version 1.2.6p5
  * migrate multisite conffile, fix logic to better detect different
    cases (Closes: #732357)
  * check-mk-server: clean up stuff in /var on purge (Closes: #788829).
  * stop packaging all upsteam provided binaries (Closes: #790308).

 -- Matt Taggart <taggart@debian.org>  Fri, 03 Jul 2015 15:15:53 -0700

check-mk (1.2.6p4-1) unstable; urgency=medium

  [ Thomas Bechtold ]
  * New upstream release (Closes: #738987).
  * debian/defaults.*: Use correct check-mk version.
  * debian/control:
    - Add myself to Uploaders field.
    - Remove Sven Velt from Uploaders field (Closes: #739092).

  [ Ilya Rassadin ]
  * New upstream release (Closes: #778380).
  * debian/defaults.*: Use correct check-mk version.
  * debian/control: Add myself to Uploaders field.
  * debian/check-mk-server.install: Add path for flexible notifications
  * debian/check-mk-server.postinst: Add path for flexible notifications

  [ Matt Taggart ]
  * Confirmed that CVE-2014-2329, CVE-2014-2330, CVE-2014-2331,
     CVE-2014-2332 are fixed in upstream as of 1.2.3i5 (Closes: #742689).
  * New upstream release (Closes: #778380).
  * upstream forgot to include waitmax.c in their "source" tarball,
     provide it in the source package for now
  * logwatch.cfg example changed location upstream, adjust
     check_mk_agent_logwatch.{example,install}
  * regenerate defaults.* starting with upstream versions generated by
     setup.sh and then porting forward the debian specific changes.
  * regenerate apache.* starting with upstream versions generated by
     setup.sh and then porting forward the debian specific changes.
     Disable multisite automation.py and run_cron.py services by default.

 -- Matt Taggart <taggart@debian.org>  Wed, 10 Jun 2015 11:10:32 -0700

check-mk (1.2.2p3-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Bechtold <toabctl@debian.org>  Thu, 05 Dec 2013 20:33:24 +0100

check-mk (1.2.2p2-1) unstable; urgency=low

  [ Thomas Bechtold ]
  * New upstream release (Closes: #678396).
  * Update defaults in debian/defaults.nagios3 and debian/defaults.icinga.
  * Update debian/patches/02_wato-sudoers.dpatch.
  * debian/check-mk-server.install: Remove usr/share/check_mk/pnp-rraconf.
  * debian/check-mk-config-nagios3.install: Adjust path for
    check_mk_templates.cfg.
  * debian/check-mk-config-icinga.install: Adjust path for
    check_mk_templates.cfg.
  * debian/check-mk-multisite.install: Remove no longer available
    etc/sudoers.d/check_mk_wato.
  * [411c207] check-mk-server: Add debconf note about RRD update.
  * [fd007c2] Handle apache 2.2 and apache2.4
  * [9038096] debconf msg only when upgrading from < 1.2.0

  [ Alexander Wirt ]
  * [1abe7cc] Bump standards version

 -- Alexander Wirt <formorer@debian.org>  Fri, 13 Sep 2013 08:00:52 +0200

check-mk (1.1.12p7-1) unstable; urgency=low

  * [b088706] Add Recommends for snmp to server part
  * [1708000] Imported Upstream version 1.1.12p7
  * [256e383] Recommends ethtool and smartmontools in check-mk-agent
    (Closes: #649677)
  * [5a4c4cc] Move manpages to -server and don't compress docs (Closes: #649676)
  * [2f52423] Create /etc/check_mk/conf.d in multisite package (Closes: #649316)
  * [c536571] Bump version for default files
  * [688edf4] Fix usage of dpkg-maintscript-helper.
    Thanks to Colin Watson for the patch (Closes: #659548)
  * [98ce919] Call dh_* with -a or -i (Closes: #649162)
  * [1107727] Add missing dh_ calls to binary-indep
  * [b2f781c] Add missing -nagios3 preinst

 -- Alexander Wirt <formorer@debian.org>  Thu, 05 Apr 2012 19:36:02 +0200

check-mk (1.1.12-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * [791a318] Install necessary sudo permissions for WATO.
  * [cb1f3c7] Fix lintian W: check-mk source:
              brace-expansion-in-debhelper-config-file

