=== debian/control ===
Source: check-mk
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Nagios Maintainer Group <pkg-nagios-devel@lists.alioth.debian.org>
Uploaders: Alexander Wirt <formorer@debian.org>,
           Jan Wagner <waja@cyconet.org>,
           Thomas Bechtold <toabctl@debian.org>,
           Ilya Rassadin <elcamlost@gmail.com>,
           Matt Taggart <taggart@debian.org>
Build-Depends: debhelper (>= 9), dpatch
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-nagios/pkg-check-mk.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nagios/pkg-check-mk.git

Package: check-mk-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xinetd, python
Recommends: ethtool
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the monitoring host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the agent part of check-mk.

Package: check-mk-agent-logwatch
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, check-mk-agent, python
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the monitoring host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the logwatch plugin for the agent.


Package: check-mk-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, python, check-mk-config-icinga, debconf
Recommends: check-mk-doc, snmp
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the monitoring host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the server part of check_mk

Package: check-mk-config-icinga
Conflicts: check-mk-config-nagios3
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the icinga specific part of check_mk

Package: check-mk-livestatus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: xinetd
Conflicts: ucspi-unix
Recommends: check-mk-doc
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains livestatus

Package: check-mk-multisite
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libapache2-mod-python, check-mk-config-icinga
Recommends: sudo, check-mk-doc
Suggests: check-mk-livestatus
Description: general purpose monitoring plugin for retrieving data
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the webfrontend of check_mk also known as
 "MK-Multisite"

Package: check-mk-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: check-mk-livestatus, check-mk-server, check-mk-multisite
Description: general purpose monitoring plugin for retrieving data (documentation)
 Check_mk adopts a new a approach for collecting data from operating systems
 and network components. It obsoletes NRPE, check_by_ssh, NSClient and
 check_snmp. It has many benefits, the most important of which are:
 .
  * Significant reduction of CPU usage on the Nagios host.
  * Automatic inventory of items to be checked on hosts.
 .
 This package contains the check_mk documentation.
