=== debian/watch ===
version=3
http://mathias-kettner.com/check_mk_download_source.html download/check_mk-(1\.2\.[p\d\.]*)\.tar\.gz
